org.apache.tinkerpop.gremlin.driver.handler

## Enum NioGremlinResponseDecoder.DecoderState

- java.lang.Object
- - java.lang.Enum<NioGremlinResponseDecoder.DecoderState>
  - - org.apache.tinkerpop.gremlin.driver.handler.NioGremlinResponseDecoder.DecoderState

- All Implemented Interfaces:
    Serializable, Comparable<NioGremlinResponseDecoder.DecoderState>
  Enclosing class:
    NioGremlinResponseDecoder

      public static enum NioGremlinResponseDecoder.DecoderState
      extends Enum<NioGremlinResponseDecoder.DecoderState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MESSAGE`
    `MESSAGE_LENGTH`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NioGremlinResponseDecoder.DecoderState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NioGremlinResponseDecoder.DecoderState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGE_LENGTH

          public static final NioGremlinResponseDecoder.DecoderState MESSAGE_LENGTH

    - #### MESSAGE

          public static final NioGremlinResponseDecoder.DecoderState MESSAGE

  - ### Method Detail

    - #### values

          public static NioGremlinResponseDecoder.DecoderState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NioGremlinResponseDecoder.DecoderState c : NioGremlinResponseDecoder.DecoderState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NioGremlinResponseDecoder.DecoderState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.